Error while running knime in backgroud

Hi guys, I’m trying to run knime in docker in the background on request, but I’m running into one error after another. Is it even possible to run knime on request in the background?
Currently I’m having this error and I don’t know what this error means. I’m pasting whole long error message.
Thank you very much for any help

ERROR:root:captured stdout: CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
Install location:
file:/opt/knime_4.3.0/
Configuration file:
file:/opt/knime_4.3.0/configuration/config.ini loaded
Configuration location:
file:/opt/knime_4.3.0/configuration/
Framework located:
file:/opt/knime_4.3.0/plugins/org.eclipse.osgi_3.15.200.v20200214-1600.jar
Loading extension: reference:file:org.eclipse.osgi.compatibility.state_1.1.700.v20200207-2156.jar
eclipse.properties not found
Loading extension: reference:file:javax.transaction_1.1.1.v201105210645.jar
eclipse.properties not found
Framework classpath:
file:/opt/knime_4.3.0/plugins/org.eclipse.osgi_3.15.200.v20200214-1600.jar
file:/opt/knime_4.3.0/plugins/
file:/opt/knime_4.3.0/plugins/org.eclipse.osgi.compatibility.state_1.1.700.v20200207-2156.jar
file:/opt/knime_4.3.0/plugins/javax.transaction_1.1.1.v201105210645.jar
Debug options:
file:/home/developer/knime_app/.options not found
Time to load bundles: 1850
Starting application: 10480
WARN KNIME-Worker-0-Container Input (Variable) 0:79 Node Default variables are output
Start VM: /opt/knime_4.3.0//plugins/org.knime.binary.jre.linux.x86_64_1.8.0.252-b09/jre/bin/java
-server
-Dsun.java2d.d3d=false
-Dosgi.classloader.lock=classname
-XX:+UnlockDiagnosticVMOptions
-XX:+UnsyncloadClass
-XX:+UseG1GC
-Dsun.net.client.defaultReadTimeout=0
-XX:CompileCommand=exclude,javax/swing/text/GlyphView,getBreakSpot
-Xmx2048m
-Dorg.eclipse.swt.internal.gtk.disablePrinting
-jar /opt/knime_4.3.0//plugins/org.eclipse.equinox.launcher_1.5.700.v20200207-2156.jar
-os linux
-ws gtk
-arch x86_64
-launcher /opt/knime_4.3.0/knime
-name Knime
–launcher.library /opt/knime_4.3.0//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.1100.v20190907-0426/eclipse_1801.so
-startup /opt/knime_4.3.0//plugins/org.eclipse.equinox.launcher_1.5.700.v20200207-2156.jar
–launcher.overrideVmargs
-exitdata 0
-debug
-application org.knime.product.KNIME_BATCH_APPLICATION
-data /tmp/tmp686nxafm/knime_data
-nosave
-workflowDir=/home/developer/knime_app/knimes/lesy/lesy-nahodila_tezba
-option=205,outputPathOrUrl,/tmp/tmp686nxafm/output_205.json,String
-vm /opt/knime_4.3.0//plugins/org.knime.binary.jre.linux.x86_64_1.8.0.252-b09/jre/bin/java
-vmargs
-server
-Dsun.java2d.d3d=false
-Dosgi.classloader.lock=classname
-XX:+UnlockDiagnosticVMOptions
-XX:+UnsyncloadClass
-XX:+UseG1GC
-Dsun.net.client.defaultReadTimeout=0
-XX:CompileCommand=exclude,javax/swing/text/GlyphView,getBreakSpot
-Xmx2048m
-Dorg.eclipse.swt.internal.gtk.disablePrinting
-jar /opt/knime_4.3.0//plugins/org.eclipse.equinox.launcher_1.5.700.v20200207-2156.jar

ERROR:root:captured stderr: Feb 22, 2021 11:03:21 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener addExtensions
INFO: Adding the extensions from bundle org.apache.cxf.cxf-rt-frontend-jaxrs (378) [org.apache.cxf.jaxrs.JAXRSBindingFactory]
Feb 22, 2021 11:03:21 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener addExtensions
INFO: Adding the extensions from bundle org.apache.cxf.cxf-rt-transports-http (381) [org.apache.cxf.transport.http.HTTPTransportFactory, org.apache.cxf.transport.http.HTTPWSDLExtensionLoader, org.apache.cxf.transport.http.policy.HTTPClientAssertionBuilder, org.apache.cxf.transport.http.policy.HTTPServerAssertionBuilder, org.apache.cxf.transport.http.policy.NoOpPolicyInterceptorProvider]
Feb 22, 2021 11:03:21 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener addExtensions
INFO: Adding the extensions from bundle org.apache.cxf.cxf-rt-transports-http-hc (382) [org.apache.cxf.transport.http.HTTPConduitFactory, org.apache.cxf.transport.ConduitInitiator]
ERROR KNIME-Worker-1-Excel Reader (XLS) (deprecated) 0:163 Node Execute failed: (“NullPointerException”): null
java.lang.NullPointerException
at org.knime.filehandling.core.connections.knimerelativeto.LocalRelativeToFSConnection.(LocalRelativeToFSConnection.java:99)
at org.knime.filehandling.core.defaultnodesettings.FileSystemHelper.getRelativeToConnection(FileSystemHelper.java:236)
at org.knime.filehandling.core.defaultnodesettings.FileSystemHelper.retrieveFSConnection(FileSystemHelper.java:107)
at org.knime.filehandling.core.defaultnodesettings.FileChooserHelper.getFileSystem(FileChooserHelper.java:133)
at org.knime.filehandling.core.defaultnodesettings.FileChooserHelper.getPathFromSettings(FileChooserHelper.java:229)
at org.knime.filehandling.core.defaultnodesettings.FileChooserHelper.getPaths(FileChooserHelper.java:173)
at org.knime.base.node.io.filehandling.FileHandlingUtil.createDataTable(FileHandlingUtil.java:103)
at org.knime.ext.poi2.node.read4.XLSReaderNodeModel.execute(XLSReaderNodeModel.java:154)
at org.knime.ext.poi2.node.read4.XLSReaderNodeModel.execute(XLSReaderNodeModel.java:1)
at org.knime.core.node.NodeModel.executeModel(NodeModel.java:576)
at org.knime.core.node.Node.invokeFullyNodeModelExecute(Node.java:1245)
at org.knime.core.node.Node.execute(Node.java:1025)
at org.knime.core.node.workflow.NativeNodeContainer.performExecuteNode(NativeNodeContainer.java:558)
at org.knime.core.node.exec.LocalNodeExecutionJob.mainExecute(LocalNodeExecutionJob.java:95)
at org.knime.core.node.workflow.NodeExecutionJob.internalRun(NodeExecutionJob.java:201)
at org.knime.core.node.workflow.NodeExecutionJob.run(NodeExecutionJob.java:117)
at org.knime.core.util.ThreadUtils$RunnableWithContextImpl.runWithContext(ThreadUtils.java:334)
at org.knime.core.util.ThreadUtils$RunnableWithContext.run(ThreadUtils.java:210)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at org.knime.core.util.ThreadPool$MyFuture.run(ThreadPool.java:123)
at org.knime.core.util.ThreadPool$Worker.run(ThreadPool.java:246)
Feb 22, 2021 11:03:30 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener unregister
INFO: Removing the extensions for bundle 378
Feb 22, 2021 11:03:30 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener unregister
INFO: Removing the extensions for bundle 381
Feb 22, 2021 11:03:30 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener unregister
INFO: Removing the extensions for bundle 382
Knime:
No exit data available.
Knime:
JVM terminated. Exit code=4
/opt/knime_4.3.0//plugins/org.knime.binary.jre.linux.x86_64_1.8.0.252-b09/jre/bin/java
-server
-Dsun.java2d.d3d=false
-Dosgi.classloader.lock=classname
-XX:+UnlockDiagnosticVMOptions
-XX:+UnsyncloadClass
-XX:+UseG1GC
-Dsun.net.client.defaultReadTimeout=0
-XX:CompileCommand=exclude,javax/swing/text/GlyphView,getBreakSpot
-Xmx2048m
-Dorg.eclipse.swt.internal.gtk.disablePrinting
-jar /opt/knime_4.3.0//plugins/org.eclipse.equinox.launcher_1.5.700.v20200207-2156.jar
-os linux
-ws gtk
-arch x86_64
-launcher /opt/knime_4.3.0/knime
-name Knime
–launcher.library /opt/knime_4.3.0//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.1100.v20190907-0426/eclipse_1801.so
-startup /opt/knime_4.3.0//plugins/org.eclipse.equinox.launcher_1.5.700.v20200207-2156.jar
–launcher.overrideVmargs
-exitdata 0
-debug
-application org.knime.product.KNIME_BATCH_APPLICATION
-data /tmp/tmp686nxafm/knime_data
-nosave
-workflowDir=/home/developer/knime_app/knimes/lesy/lesy-nahodila_tezba
-option=205,outputPathOrUrl,/tmp/tmp686nxafm/output_205.json,String
-vm /opt/knime_4.3.0//plugins/org.knime.binary.jre.linux.x86_64_1.8.0.252-b09/jre/bin/java
-vmargs
-server
-Dsun.java2d.d3d=false
-Dosgi.classloader.lock=classname
-XX:+UnlockDiagnosticVMOptions
-XX:+UnsyncloadClass
-XX:+UseG1GC
-Dsun.net.client.defaultReadTimeout=0
-XX:CompileCommand=exclude,javax/swing/text/GlyphView,getBreakSpot
-Xmx2048m
-Dorg.eclipse.swt.internal.gtk.disablePrinting
-jar /opt/knime_4.3.0//plugins/org.eclipse.equinox.launcher_1.5.700.v20200207-2156.jar

127.0.0.1 - - [22/Feb/2021 11:03:30] “POST /knime/lesy/lesy-nahodila–tezba HTTP/1.1” 500 -
INFO:werkzeug:127.0.0.1 - - [22/Feb/2021 11:03:30] “POST /knime/lesy/lesy-nahodila–tezba HTTP/1.1” 500 -
Traceback (most recent call last):
File “/home/developer/.local/lib/python3.6/site-packages/knime.py”, line 286, in run_workflow_using_multiple_service_tables
with open(output_json_filepath) as output_json_fh:
FileNotFoundError: [Errno 2] No such file or directory: ‘/tmp/tmp686nxafm/output_205.json’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/developer/.local/lib/python3.6/site-packages/flask/app.py”, line 2464, in call
return self.wsgi_app(environ, start_response)
File “/home/developer/.local/lib/python3.6/site-packages/flask/app.py”, line 2450, in wsgi_app
response = self.handle_exception(e)
File “/home/developer/.local/lib/python3.6/site-packages/flask/app.py”, line 1867, in handle_exception
reraise(exc_type, exc_value, tb)
File “/home/developer/.local/lib/python3.6/site-packages/flask/_compat.py”, line 39, in reraise
raise value
File “/home/developer/.local/lib/python3.6/site-packages/flask/app.py”, line 2447, in wsgi_app
response = self.full_dispatch_request()
File “/home/developer/.local/lib/python3.6/site-packages/flask/app.py”, line 1952, in full_dispatch_request
rv = self.handle_user_exception(e)
File “/home/developer/.local/lib/python3.6/site-packages/flask/app.py”, line 1821, in handle_user_exception
reraise(exc_type, exc_value, tb)
File “/home/developer/.local/lib/python3.6/site-packages/flask/_compat.py”, line 39, in reraise
raise value
File “/home/developer/.local/lib/python3.6/site-packages/flask/app.py”, line 1950, in full_dispatch_request
rv = self.dispatch_request()
File “/home/developer/.local/lib/python3.6/site-packages/flask/app.py”, line 1936, in dispatch_request
return self.view_functionsrule.endpoint
File “/home/developer/knime_app/app.py”, line 43, in run_knime
wf.execute()
File “/home/developer/.local/lib/python3.6/site-packages/knime.py”, line 419, in execute
output_as_pandas_dataframes=output_as_pandas_dataframes,
File “/home/developer/.local/lib/python3.6/site-packages/knime.py”, line 299, in run_workflow_using_multiple_service_tables
raise ChildProcessError(“Output from KNIME not found”)
ChildProcessError: Output from KNIME not found
172.17.0.1 - - [22/Feb/2021 11:03:30] “GET /send-excel HTTP/1.1” 200 -
INFO:werkzeug:172.17.0.1 - - [22/Feb/2021 11:03:30] “GET /send-excel HTTP/1.1” 200 -